﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace HaBookCms.Core.Dtos
{
    /// <summary>
    /// 前端返回获取的醍摩豆ID登录基本信息及ticket
    /// </summary>
    public class TicketInfo
    {
        [Required(ErrorMessage = "ticket不能为空")]
        public string ticket { get; set; }
        [Required(ErrorMessage = "name不能为空")]
        public string name { get; set; }
        [Required(ErrorMessage = "sign不能为空")]
        public string sign { get; set; }
        [Required(ErrorMessage = "teamModelId不能为空")]
        public string teamModelId { get; set; }
    }
}
