﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Core.Models.System
{
    /// <summary>
    /// 组织机构
    /// </summary>
    public class SysOrg
    {
        public SysOrg()
        {
        }
        /// <summary>
        /// Desc:唯一编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string Guid { get; set; }
        /// <summary>
        /// Desc:父节点
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ParentGuid { get; set; }
        /// <summary>
        /// Desc:组织名称
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string Name { get; set; }

        /// <summary>
        /// Desc:父节名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ParentName { get; set; }

        /// <summary>
        /// Desc:层级
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public int Level { get; set; }

        /// <summary>
        /// Desc:排序
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int Sort { get; set; } = 1;

        /// <summary>
        /// Desc:状态
        /// Default:b'0'
        /// Nullable:False
        /// </summary>           
        public int Status { get; set; }
        
        /// <summary>
        /// 创建ID
        /// </summary>
        public string CreateTeamModelId { get; set; }
       
        /// <summary>
        /// 创建者
        /// </summary>
        public string CreateNickName { get; set; }
        
        /// <summary>
        /// 创建时间
        /// </summary>
        public long CreateTime { get; set; }

    }
}
