﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Core.Models.System
{
    public class SysRolePmsn
    {
        /// <summary>
        /// 主键ID 角色-权限
        /// </summary>
        public string GuidRP { get; set;  }
        /// <summary>
        /// 角色ID
        /// </summary>
        public string RoleGuid { get; set; }
        /// <summary>
        /// 权限ID
        /// </summary>
        public string PmsnGuid { get; set; }
        /// <summary>
        /// Desc:排序
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int Sort { get; set; } = 1;
        /// <summary>
        /// Desc:状态
        /// Default:b'0'
        /// Nullable:False
        /// </summary>           
        public int Status { get; set; }
        /// <summary>
        /// 创建ID
        /// </summary>
        public string CreateTeamModelId { get; set; }
        /// <summary>
        /// 创建者
        /// </summary>
        public string CreateNickName { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public long CreateTime { get; set; }
    }
}
