﻿using HaBookCms.Common;
using HaBookCms.Common.JsonHelper;
using HaBookCms.Common.ValidateHelper;
using HaBookCms.Core.Dtos;
using HaBookCms.Core.Models.Common;
using HaBookCms.IP2Region;
using HaBookCms.Response;
using IP2Region.Models;
using MessagePack;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Threading.Tasks;

namespace HaBookCms.JosnRPCTest
{
    class Program
    {
        static void Main(string[] args)
        {

            Console.WriteLine((DateTime.Now.ToUniversalTime().Ticks - 621355968000000000) ) ;
            long das = DateTime.Now.ToUniversalTime().Ticks - 621355968000000000;
            DateTime dateTime= Utils.ConvertToDateTime(DateTime.Now.ToUniversalTime().Ticks- 621355968000000000);
            long date = Utils.ConvertToTimeStamp(DateTime.Now);
            List<CmsUser> users = new List<CmsUser>();
            CmsUser user = new CmsUser();
            user.city = "123";
            users.Add(user);

            ResponseBuilder responses = ResponseBuilder.custom();

            responses.CurrPage(1).PageSize(23).totalCount(53).TotalPage(2).Data(users);
            BaseResponse baseResponse= responses.build();
            string s =  MessagePackHelper.ObjectToJson(baseResponse);
            string rp = "{\"id\":1.0,\"jsonrpc\":\"2.0\",\"result\":null,\"error\":{\"code\":-32601,\"message\":\"No method found with the requested signature or multiple methods matched the request.\",\"data\":null}}";
            JosnRPCResponse<TeamModelIdInfo> rs= MessagePackHelper.JsonToObject<JosnRPCResponse<TeamModelIdInfo>>(rp);
            Task<DataBlock> dataBlock= DataIP2Region.IP2Region("110.185.29.187");
            JosnRPCResponse<List<CmsUser>> response = new JosnRPCResponse<List<CmsUser>>();
           
           
            response.result= users;
            string json=  MessagePackHelper.ObjectToJson(response);
            response = MessagePackHelper.JsonToObject<JosnRPCResponse<List<CmsUser>>>(json);
            string jsons = MessagePackHelper.ObjectToJson(response);
            JosnRPCRequest<Dictionary<string, object>> request = new JosnRPCRequest<Dictionary<string, object>>();
            request.method = "method";
            Dictionary<string, object> ticket = new Dictionary<string, object>();
            ticket.Add("ticket", "11111111");
            request.@params = ticket;
            string data = MessagePackHelper.ObjectToJson(request);
            TicketInfo ticketInfo = new TicketInfo();
            ticketInfo.name = "";
            ticketInfo.ticket = "";
           // ValidateHelper.IsValid(ticketInfo);
          
            Console.WriteLine("HelMlo World!");
        }
    }
}
