﻿using MessagePack;
using System;
using System.Collections.Generic;

namespace HaBookCms.Response
{
    [MessagePackObject(keyAsPropertyName: true)]
    public class BaseResponse : TimeStampResponse
    {
        public Dictionary<String, Object> extend;
        public String message = "success";
        public int code;


        public BaseResponse()
        {
        }

        public String getMessage()
        {
            return this.message;
        }

        public void setMessage(String message)
        {
            this.message = message;
        }

        public int getCode()
        {
            return this.code;
        }

        public Dictionary<String, Object> getExtend()
        {
            return this.extend;
        }

        public void setExtend(Dictionary<String, Object> extend)
        {
            this.extend = extend;
        }

        public void setCode(int code)
        {
            this.code = code;
        }
    }
}
