﻿using MessagePack;
using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Response
{
    [MessagePackObject(keyAsPropertyName: true)]
    public class DataResponse<T> : BaseResponse
    {
        public T data;

        public DataResponse()
        {
        }

        public T getData()
        {
            return this.data;
        }

        public void setData(T data)
        {
            this.data = data;
        }
    }
}
