﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HaBookCms.AzureCosmos.CosmosDB.Interfaces
{
    public interface IAzureCosmosDBRepository
    {
       Task<T> Save<T>(object entity);
       Task<T> Update<T>(object entity);
       Task<List<T>> FindAll<T>();

        List<dynamic> FindSQL<dynamic>(string sql);

       Task<List<T>> FindLinq<T>(Func<IQueryable<object>, object> singleOrDefault);
    }
}
