﻿using MessagePack;
using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Common.JsonHelper
{
    [MessagePackObject(keyAsPropertyName: true)]
    public class JosnRPCResponse<T>
    {
        public string jsonrpc { get; set; } = "2.0";
        public T result { get; set; }
        public double id { get; set; } 
        public ErrorModel error { get; set; } = null;
    }
}
