﻿using Microsoft.WindowsAzure.Storage.Table;

namespace HaBookCms.Core.Models.Common
{
    public class LoginInfo : TableEntity
    {
        /// <summary>
        /// 自动生成
        /// </summary>
        public string guid { get; set; }
        /// <summary>
        /// 醍摩豆ID
        /// </summary>
        public string teamModelId { get; set; }
        /// <summary>
        /// 登录时间
        /// </summary>
        public long loginTime { get; set; }
        /// <summary>
        /// token
        /// </summary>
        public string jwtToken { get; set; }
        /// <summary>
        /// 超时（秒）数
        /// </summary>
        public double timeout { get; set; }
        /// <summary>
        /// 到期时间
        /// </summary>
        public long  expires { get; set; }
        /// <summary>
        /// 醍摩豆 验证ticket
        /// </summary>
        public string ticket { get; set; }
        /// <summary>
        /// 登录端 以便支持多端登录
        /// </summary>
        public string appTokenType { get; set; }
    }
}
