﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Core.Models.System
{
    public class SysPmsn
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        public string Guid { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 权限代码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 1模块，2菜单，3按钮，4链接
        /// </summary>
        public string Type { get; set; }
        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { get; set; }
        /// <summary>
        /// 链接地址
        /// </summary>
        public string Url { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public int Level { get; set; }
        /// <summary>
        /// 排序字段
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 上级ID
        /// </summary>
        public string ParentGuid { get; set; }
        /// <summary>
        /// 上级名称
        /// </summary>
        public string ParentName { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }
        /// <summary>
        /// 创建ID
        /// </summary>
        public string CreateTeamModelId { get; set; }
        /// <summary>
        /// 创建者
        /// </summary>
        public string CreateNickName { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public long CreateTime { get; set; }
    }
}
