﻿using MessagePack;
using System;
using System.Collections.Generic;
using System.Text;

namespace HaBookCms.Response
{
    [MessagePackObject(keyAsPropertyName: true)]
    public class PageResponse
    {
        public long total;
        public int currPage;
        public int pageSize;
        public int totalPage;

        public long getTotal()
        {
            return this.total;
        }

        public void setTotal(long total)
        {
            this.total = total;
        }

        public int getCurrPage()
        {
            return this.currPage;
        }

        public void setCurrPage(int currPage)
        {
            this.currPage = currPage;
        }

        public int getPageSize()
        {
            return this.pageSize;
        }

        public void setPageSize(int pageSize)
        {
            this.pageSize = pageSize;
        }

        public int getTotalPage()
        {
            return this.totalPage;
        }

        public void setTotalPage(int totalPage)
        {
            this.totalPage = totalPage;
        }

        public PageResponse()
        {
        }

        public PageResponse(long total, int currPage, int pageSize, int totalPage)
        {
            this.total = total;
            this.currPage = currPage;
            this.pageSize = pageSize;
            this.totalPage = totalPage;
        }
    }
}
